LEO: Technical Requirements

See also: LEO: Mobile Device Technical Requirements
 

Browser Requirements

Your browser must allow cookies, Javascript, and pop-ups. (Instructions are provided below.) Check your settings at https://community.desire2learn.com/d2l/systemCheck  

Note: Maintenance Versions are older browser versions that may not perform properly in LEO. 

Microsoft Edge:

  • Supported Versions: n/a
  • Maintenance Versions: None

Microsoft Internet Explorer:

  • Supported Versions: Latest
  • Maintenance Versions: 11 and older

Mozilla Firefox:

  • Supported Versions: Latest (v. 50), ESR
  • Maintenance Versions: None

Google Chrome:

  • Supported Versions: Latest (v. 54)
  • Maintenance Versions: None

Apple Safari:

  • Supported Versions: Latest
  • Maintenance Versions: None
Browsers: How do I turn off pop-up blockers?
Browsers: How do I enable cookies?


Additional Requirements

The following services have additional requirements: